Bug 54268 - gnome-vfs over aggressive in identifying HTML...
Summary: gnome-vfs over aggressive in identifying HTML...
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-vfs   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-02 19:06 UTC by Johnray Fuller
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-02 19:08:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Johnray Fuller 2001-10-02 19:06:14 UTC
Description of Problem:

The gnome-vfs magic file is far too aggressive in identifying html.



Version-Release number of selected component (if applicable):

latest


How Reproducible:

Everytime

Steps to Reproduce:
1.touch a .SGML file and add content 
2. if a <image> or <doctype> tag(both are valid in SGML) in the first 64
bytes, gnome erroneously attaches an HTML mime type
3. 

Actual Results:

SGML is mishandled in the GUI

Expected Results:

Double click should open in emacs, not Galeon

Additional Information:
	
The file in question which needs to be altered is:

/etc/gnome-vfs-mime-magic

The passages are:

0:64    string          \<TITLE                                 text/html
0:64    string          \<title                                 text/html

0:64    string          \<!DOCTYPE\ HTML                        text/html
0:64    string          \<!doctype\ html                        text/html


J

Comment 1 Havoc Pennington 2002-02-26 20:46:06 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=72721

Closing on Red Hat level.

Comment 2 Havoc Pennington 2002-02-28 13:32:14 UTC
Upstream bug needs more info and needs reopening when more info is added.


Note You need to log in before you can comment on or make changes to this bug.